X2Go Bug report logs - #1455
X2Go client does not connect from Windows WSL

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Chris Greenshields <c.greenshields@cfd.direct>

Date: Wed, 8 Apr 2020 20:00:01 UTC

Severity: normal

Found in version 4.1.2.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Wed, 08 Apr 2020 20:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Chris Greenshields <c.greenshields@cfd.direct>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Apr 2020 20:00:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Chris Greenshields <c.greenshields@cfd.direct>
To: submit@bugs.x2go.org
Subject: X2Go client does not connect from Windows WSL
Date: Wed, 8 Apr 2020 19:55:41 +0000
Package: x2goclient
Version: 4.1.2.2

A colleague is trying to connect the X2Go client to a remote machine
from a Windows 10 PC. He can connect OK from the X2Go client running
natively in Windows. His work uses the Windows Subsystem for Linux so
he would like to run the x2goclient through that. Graphical
applications themselves work fine, but when he attempts to connect the
X2Go client to the remote machine, he gets the message below. I
appreciate this is a low priority since he has a workable solution,
but mainly wondered if anyone had encountered this issue before. 
...
Warning: Overriding auxiliary X11 port with new value '1'
Info: Falling back to file system X11 socket for accessing DISPLAY=:0
Loop: PANIC! Can't determine the location of the X display socket
Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix
Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix
Session: Session terminated...


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Wed, 08 Apr 2020 20:20:03 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Apr 2020 20:20:03 GMT) (full text, mbox, link).


Message #10 received at 1455@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1455@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1455: X2Go client does not connect from Windows WSL
Date: Wed, 8 Apr 2020 22:18:19 +0200
I have never tried WSL but I guess the X server is running naively on
windows.  So what is the DISPLAY variable inside the WSL set to?

Uli

On Wed, Apr 8, 2020 at 10:00 PM Chris Greenshields
<c.greenshields@cfd.direct> wrote:
>
> Package: x2goclient
> Version: 4.1.2.2
>
> A colleague is trying to connect the X2Go client to a remote machine
> from a Windows 10 PC. He can connect OK from the X2Go client running
> natively in Windows. His work uses the Windows Subsystem for Linux so
> he would like to run the x2goclient through that. Graphical
> applications themselves work fine, but when he attempts to connect the
> X2Go client to the remote machine, he gets the message below. I
> appreciate this is a low priority since he has a workable solution,
> but mainly wondered if anyone had encountered this issue before.
> ...
> Warning: Overriding auxiliary X11 port with new value '1'
> Info: Falling back to file system X11 socket for accessing DISPLAY=:0
> Loop: PANIC! Can't determine the location of the X display socket
> Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Session: Session terminated...
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Wed, 08 Apr 2020 20:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Randy Goldenberg <randy.goldenberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Apr 2020 20:25:02 GMT) (full text, mbox, link).


Message #15 received at 1455@bugs.x2go.org (full text, mbox, reply):

From: Randy Goldenberg <randy.goldenberg@gmail.com>
To: Chris Greenshields <c.greenshields@cfd.direct>, 1455@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1455: X2Go client does not connect from Windows WSL
Date: Wed, 8 Apr 2020 13:20:26 -0700
On Wednesday April 08, 2020, Chris Greenshields wrote: 

>Warning: Overriding auxiliary X11 port with new value '1'
>Info: Falling back to file system X11 socket for accessing DISPLAY=:0
>Loop: PANIC! Can't determine the location of the X display socket
>Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix
>Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix
>Session: Session terminated...

It may be that the x2go client is using the Windows CLI ssh client.  If so, the 
following is needed for X-forwarding to work properly:

* Export the DISPLAY variable.

* mkdir \dev\tty

* Connect with ssh option "-Y" rather than "-X"


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Thu, 09 Apr 2020 08:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Apr 2020 08:35:02 GMT) (full text, mbox, link).


Message #20 received at 1455@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1455@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1455: X2Go client does not connect from Windows WSL
Date: Thu, 9 Apr 2020 10:31:08 +0200
Am 08.04.20 um 21:55 schrieb Chris Greenshields:
> Package: x2goclient
> Version: 4.1.2.2
> 
> A colleague is trying to connect the X2Go client to a remote machine
> from a Windows 10 PC. He can connect OK from the X2Go client running
> natively in Windows. His work uses the Windows Subsystem for Linux so
> he would like to run the x2goclient through that. Graphical
> applications themselves work fine, but when he attempts to connect the
> X2Go client to the remote machine, he gets the message below. I
> appreciate this is a low priority since he has a workable solution,
> but mainly wondered if anyone had encountered this issue before. 
> ...
> Warning: Overriding auxiliary X11 port with new value '1'
> Info: Falling back to file system X11 socket for accessing DISPLAY=:0
> Loop: PANIC! Can't determine the location of the X display socket
> Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix
> Session: Session terminated...

This looks like the default status log from X2GoClient's info window.
We might get a more detailed (and thus, potentially more helpful) error
log out of it if your colleague installs the debug version of X2GoClient
(that's a checkbox during install), then opens cmd.exe and runs
x2goclient like so (after changing into the directory where the X2Go
executables reside, most likely "C:\Program Files (x86)\x2goclient\"):

x2goclient.debug.exe --debug >%TEMP%\x2godebug.txt 2>&1

After that, the file %TEMP%\x2godebug.txt should contain the debug log,
which you should forward to 1455@bugs.x2go.org after
anonymizing/pseudonymizing any confidential information (like user
account names, IP addresses and the like).

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Thu, 09 Apr 2020 11:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to 1455@bugs.x2go.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 09 Apr 2020 11:00:02 GMT) (full text, mbox, link).


Message #25 received at 1455@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1455@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1455: Bug#1455: X2Go client does not connect from Windows WSL
Date: Thu, 9 Apr 2020 12:55:04 +0200
Am 09.04.20 um 10:31 schrieb Stefan Baur:
> This looks like the default status log from X2GoClient's info window.
> We might get a more detailed (and thus, potentially more helpful) error
> log out of it if your colleague installs the debug version of X2GoClient
> (that's a checkbox during install), then opens cmd.exe and runs
> x2goclient like so (after changing into the directory where the X2Go
> executables reside, most likely "C:\Program Files (x86)\x2goclient\"):
> 
> x2goclient.debug.exe --debug >%TEMP%\x2godebug.txt 2>&1
> 
> After that, the file %TEMP%\x2godebug.txt should contain the debug log,
> which you should forward to 1455@bugs.x2go.org after
> anonymizing/pseudonymizing any confidential information (like user
> account names, IP addresses and the like).

Ah, stupid me.  If your colleague is trying to run X2GoClient inside
WSL, then that particular version of X2GoClient already has debug
functionality built in.

So inside the WSL environment, the command to create a debug log would
be something like

x2goclient --debug >/tmp/x2godebug.txt 2>&1

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1455; Package x2goclient. (Fri, 10 Apr 2020 11:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Chris Greenshields <c.greenshields@cfd.direct>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 10 Apr 2020 11:50:02 GMT) (full text, mbox, link).


Message #30 received at 1455@bugs.x2go.org (full text, mbox, reply):

From: Chris Greenshields <c.greenshields@cfd.direct>
To: 1455@bugs.x2go.org
Subject: Log running on WSL
Date: Fri, 10 Apr 2020 11:45:46 +0000
Log from running
x2goclient --debug
...
x2go-INFO-1> "Starting X2Go Client 4.1.2.2..."
x2go-WARNING-1> "Non-fatal: can't load translator: :/i18n/x2goclient_c"
x2go-WARNING-1> "Trying to load language with lower preference, if existent."
x2go-WARNING-1> "Non-fatal: can't load translator: :/i18n/qt_c"
x2go-WARNING-1> "Trying to load language with lower preference, if existent."
No systemtrayicon available
x2go-DEBUG-../src/onmainwindow.cpp:1246> Removing apps from tray
x2go-DEBUG-../src/onmainwindow.cpp:1214> Plugging apps in tray.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:575> "$HOME=/home/paul"
x2go-DEBUG-../src/onmainwindow.cpp:2266> Reading 1 sessions from config file.
x2go-DEBUG-../src/sessionbutton.cpp:361> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:13290> libssh not initialized yet. Initializing.
x2go-DEBUG-../src/sessionbutton.cpp:361> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/sessionbutton.cpp:361> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:2752> Creating QPixmap with session icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:2814> Starting session with key.
x2go-DEBUG-../src/onmainwindow.cpp:1246> Removing apps from tray
x2go-INFO-8> "Starting connection to server: XXX.XXX.XXX.XXX:22"
x2go-DEBUG-../src/onmainwindow.cpp:2853> Starting new ssh connection to server:"XXX.XXX.XXX.XXX":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:168> SshMasterConnection, host "XXX.XXX.XXX.XXX"; port 22; user "ubuntu"; useproxy false; proxyserver ""; proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:248> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:250> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:495> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:797> Session port before config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:807> Session port after config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:870> Session port before config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:880> Session port after config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:904> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:943> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Trying to authenticate user with private key.
x2go-DEBUG-../src/sshmasterconnection.cpp:1507> Authenticating with key: 0

x2go-DEBUG-../src/sshmasterconnection.cpp:687> User authentication OK.
x2go-DEBUG-../src/sshmasterconnection.cpp:1708> LOGIN CHECK:"LOGIN OK"
x2go-DEBUG-../src/sshmasterconnection.cpp:1711> don't have interaction
x2go-DEBUG-../src/sshmasterconnection.cpp:1744> LOOP FINISHED
x2go-DEBUG-../src/sshmasterconnection.cpp:1748> No interaction needed, continue session
x2go-DEBUG-../src/sshmasterconnection.cpp:702> Login Check - OK
x2go-DEBUG-../src/onmainwindow.cpp:2947> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3374> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 0: "x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fffef2e0540)  Running masterCon->addChannelConnection(this, ' "ed855244-9483-493a-a2af-7d12a3ae87bc" ', ' "bash -l -c 'echo "X2GODATABEGIN:ed855244-9483-493a-a2af-7d12a3ae87bc"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:ed855244-9483-493a-a2af-7d12a3" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fca48012b70

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:ed855244-9483-493a-a2af-7d12a3ae87bc"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:ed855244-9483-493a-a2af-7d12a3ae87bc";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel 0x7fca48012b70; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout): "X2GODATABEGIN:ed855244-9483-493a-a2af-7d12a3ae87bc
X2GODATAEND:ed855244-9483-493a-a2af-7d12a3ae87bc
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3861> ""
x2go-DEBUG-../src/onmainwindow.cpp:1246> Removing apps from tray
x2go-DEBUG-../src/onmainwindow.cpp:4521> Executing remote command: "X2GODPI=75 X2GO_XINERAMA=no x2gostartagent 1280x1024 adsl 16m-jpeg-9 unix-kde-depth_24 us auto 1 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 1: "X2GODPI=75 X2GO_XINERAMA=no x2gostartagent 1280x1024 adsl 16m-jpeg-9 unix-kde-depth_24 us auto 1 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fffef603920)  Running masterCon->addChannelConnection(this, ' "8655e2f2-d939-49c1-9965-ade23800f9b2" ', ' "bash -l -c 'echo "X2GODATABEGIN:8655e2f2-d939-49c1-9965-ade23800f9b2"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=75 X2GO_XINERAMA=no x2gostartagent 1280x1024 adsl 16m-jpeg" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fca48002570

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:8655e2f2-d939-49c1-9965-ade23800f9b2"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=75 X2GO_XINERAMA=no x2gostartagent 1280x1024 adsl 16m-jpeg-9 unix-kde-depth_24 us auto 1 D MATE both; echo "X2GODATAEND:8655e2f2-d939-49c1-9965-ade23800f9b2";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel 0x7fca48002570; SshProcess object: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout): "X2GODATABEGIN:8655e2f2-d939-49c1-9965-ade23800f9b2
50
c9a828b0c9c84a546edc9d2623689358
4785
ubuntu-50-1586436353_stDMATE_dp24
45833
45834
45835
X2GODATAEND:8655e2f2-d939-49c1-9965-ade23800f9b2
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "50
c9a828b0c9c84a546edc9d2623689358
4785
ubuntu-50-1586436353_stDMATE_dp24
45833
45834
45835
" (1).
x2go-DEBUG-../src/onmainwindow.cpp:5425> Agent output: "50
c9a828b0c9c84a546edc9d2623689358
4785
ubuntu-50-1586436353_stDMATE_dp24
45833
45834
45835
"
x2go-DEBUG-../src/sshprocess.cpp:387> Starting tunnel via SshProcess object 2: "localhost":45833 -> "localhost":46833

RESUMING SESSION is KDRIVE:  false
x2go-DEBUG-../src/onmainwindow.cpp:6142> "Starting NX proxy, command: nxproxy -S nx/nx,options=/home/paul/.x2go/S-ubuntu-50-1586436353_stDMATE_dp24/options:50"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for connections on "localhost":46833
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "
NXPROXY - Version 3.5.99.16

Copyright (c) 2001, 2011 NoMachine (http://www.nomachine.com)
Copyright (c) 2008-2014 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Copyright (c) 2014-2016 Ulrich Sibiller <uli42@gmx.de>
Copyright (c) 2014-2016 Mihai Moldovan <ionic@ionic.de>
Copyright (c) 2011-2016 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Copyright (c) 2015-2016 Qindel Group (http://www.qindel.com)

NXCOMP, NX protocol compression and NX extensions to this software
are copyright of the aforementioned persons and companies.

Redistribution and use of the present software is allowed according
to terms specified in the file LICENSE.nxcomp which comes in the
source distribution.

All rights reserved.

NOTE: This software has received contributions from various other
contributors, only the core maintainers and supporters are listed as
copyright holders. Please contact us, if you feel you should be listed
as copyright holder, as well.

NX protocol compression is derived from DXPC project.

Copyright (c) 1995,1996 Brian Pane
Copyright (c) 1996,1997 Zachary Vonler and Brian Pane
Copyright (c) 1999 Kevin Vigor and Brian Pane
Copyright (c) 2000,2003 Gian Filippo Pinzari and Brian Pane

All rights reserved.

See https://github.com/ArcticaProject/nx-libs for more information.

Info: Proxy running in server mode with pid '4671'.
Session: Starting session at 'Thu Apr  9 13:46:02 2020'.
Info: Using errors file '/home/paul/.x2go/S-ubuntu-50-1586436353_stDMATE_dp24/sessions'.
Info: Using stats file '/home/paul/.x2go/S-50/stats'.
"
x2go-DEBUG-../src/onmainwindow.cpp:6618> Proxy wrote on stderr: "Loop: WARNING! Overriding auxiliary X11 port with new value '1'.
Warning: Overriding auxiliary X11 port with new value '1'.
Info: Falling back to file system X11 socket for accessing DISPLAY=:0.
Loop: PANIC! Can't determine the location of the X display socket.
Error: Can't determine the location of the X display socket.
Loop: PANIC! Error 2 'No such file or directory' checking '/tmp/.X11-unix'.
Error: Error 2 'No such file or directory' checking '/tmp/.X11-unix'.
Session: Session terminated at 'Thu Apr  9 13:46:02 2020'.
"
x2go-DEBUG-../src/onmainwindow.cpp:6475> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:6520> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:6544> Checking exit status.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 3: "x2gocmdexitmessage ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fffef5fc3f0)  Running masterCon->addChannelConnection(this, ' "4cb2dcac-bb64-4ec3-83bb-ec780e62caea" ', ' "bash -l -c 'echo "X2GODATABEGIN:4cb2dcac-bb64-4ec3-83bb-ec780e62caea"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage ubuntu-50-1586436353_stDMATE_dp24; echo "X2GODA" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/onmainwindow.cpp:6601> Finished proxy.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fca48002570

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:4cb2dcac-bb64-4ec3-83bb-ec780e62caea"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage ubuntu-50-1586436353_stDMATE_dp24; echo "X2GODATAEND:4cb2dcac-bb64-4ec3-83bb-ec780e62caea";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel 0x7fca48002570; SshProcess object: 3
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout): "X2GODATABEGIN:4cb2dcac-bb64-4ec3-83bb-ec780e62caea
X2GODATAEND:4cb2dcac-bb64-4ec3-83bb-ec780e62caea
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "" (3).
x2go-DEBUG-../src/onmainwindow.cpp:9933> "Command message: "
x2go-DEBUG-../src/sshmasterconnection.cpp:764> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  waiting for thread to finish.
x2go-DEBUG-../src/sshmasterconnection.cpp:1908> Disconnecting ...

x2go-DEBUG-../src/sshmasterconnection.cpp:1917> Deleting channel connections.

x2go-DEBUG-../src/sshmasterconnection.cpp:1923> Disconnecting session.

x2go-DEBUG-../src/sshmasterconnection.cpp:1927> Deleting sockets.

x2go-DEBUG-../src/sshmasterconnection.cpp:1932> All channels closed and session disconnected. Quitting session loop.

x2go-DEBUG-../src/sshmasterconnection.cpp:766> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  thread finished.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:771> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  finished destructor.
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-ubuntu-50-1586436353_stDMATE_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:1246> Removing apps from tray
x2go-INFO-8> "Starting connection to server: XXX.XXX.XXX.XXX:22"
x2go-DEBUG-../src/onmainwindow.cpp:2853> Starting new ssh connection to server:"XXX.XXX.XXX.XXX":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:168> SshMasterConnection, host "XXX.XXX.XXX.XXX"; port 22; user "ubuntu"; useproxy false; proxyserver ""; proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:248> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:250> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:495> SshMasterConnection, instance SshMasterConnection(0x7fffef2ee7b0)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:797> Session port before config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:807> Session port after config file parse: 22
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/sshmasterconnection.cpp:870> Session port before config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:880> Session port after config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:904> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:943> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Trying to authenticate user with private key.
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/sshmasterconnection.cpp:1507> Authenticating with key: 0

x2go-DEBUG-../src/sshmasterconnection.cpp:687> User authentication OK.
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/sshmasterconnection.cpp:1708> LOGIN CHECK:"LOGIN OK"
x2go-DEBUG-../src/sshmasterconnection.cpp:1711> don't have interaction
x2go-DEBUG-../src/sshmasterconnection.cpp:1744> LOOP FINISHED
x2go-DEBUG-../src/sshmasterconnection.cpp:1748> No interaction needed, continue session
x2go-DEBUG-../src/sshmasterconnection.cpp:702> Login Check - OK
x2go-DEBUG-../src/onmainwindow.cpp:2947> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3374> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 0: "x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fffef6d34e0)  Running masterCon->addChannelConnection(this, ' "0d353732-75fd-49d0-9d85-bb65190bb255" ', ' "bash -l -c 'echo "X2GODATABEGIN:0d353732-75fd-49d0-9d85-bb65190bb255"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:0d353732-75fd-49d0-9d85-bb6519" ');
x2go-DEBUG-../src/sshmasterconnection.cpp:1810> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1814> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1977> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1990> New channel:0x7fca48013590

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:0d353732-75fd-49d0-9d85-bb65190bb255"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:0d353732-75fd-49d0-9d85-bb65190bb255";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/sshmasterconnection.cpp:2165> EOF on channel 0x7fca48013590; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout): "X2GODATABEGIN:0d353732-75fd-49d0-9d85-bb65190bb255
4785|ubuntu-50-1586436353_stDMATE_dp24|50|ip-172-31-89-211|R|2020-04-09T12:45:54|c9a828b0c9c84a546edc9d2623689358|109.78.215.96|45833|45834|2020-04-09T12:45:58|ubuntu|35|45835|-1|-1
X2GODATAEND:0d353732-75fd-49d0-9d85-bb65190bb255
"
x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: true - "4785|ubuntu-50-1586436353_stDMATE_dp24|50|ip-172-31-89-211|R|2020-04-09T12:45:54|c9a828b0c9c84a546edc9d2623689358|109.78.215.96|45833|45834|2020-04-09T12:45:58|ubuntu|35|45835|-1|-1
" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3861> "4785|ubuntu-50-1586436353_stDMATE_dp24|50|ip-172-31-89-211|R|2020-04-09T12:45:54|c9a828b0c9c84a546edc9d2623689358|109.78.215.96|45833|45834|2020-04-09T12:45:58|ubuntu|35|45835|-1|-1
"
x2go-DEBUG-../src/onmainwindow.cpp:4864> No shadow session.
x2go-DEBUG-../src/onmainwindow.cpp:4887> "Decoding session string:4785|ubuntu-50-1586436353_stDMATE_dp24|50|ip-172-31-89-211|R|2020-04-09T12:45:54|c9a828b0c9c84a546edc9d2623689358|109.78.215.96|45833|45834|2020-04-09T12:45:58|ubuntu|35|45835|-1|-1"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:1527> Close event received.

x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:11659> "Searching proxy window: X2GO-"
x2go-DEBUG-../src/onmainwindow.cpp:13278> "Searching window with title: X2GO-"
WARNING: failed to kill process group '4665': No such process


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 3 14:42:24 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.